Passer au contenu principal
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
revisions
Récupérer les révisions pour une définition donnée
curl --request GET \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/revisions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "definition": {
        "actionUrl": "<string>",
        "functions": [
          {
            "id": "<string>"
          }
        ],
        "id": "<string>",
        "inputFields": [
          {
            "isRequired": true,
            "typeDefinition": {
              "name": "<string>",
              "options": [
                {
                  "label": "<string>",
                  "value": "<string>",
                  "description": "<string>",
                  "displayOrder": 123
                }
              ],
              "description": "<string>",
              "helpText": "<string>",
              "label": "<string>",
              "optionsUrl": "<string>",
              "referencedObjectType": "OWNER"
            },
            "supportedValueTypes": []
          }
        ],
        "labels": {},
        "objectTypes": [
          "<string>"
        ],
        "published": true,
        "revisionId": "<string>",
        "archivedAt": 123,
        "executionRules": [
          {
            "conditions": {},
            "labelName": "<string>"
          }
        ],
        "inputFieldDependencies": [
          {
            "controllingFieldName": "<string>",
            "dependencyType": "SINGLE_FIELD",
            "dependentFieldNames": [
              "<string>"
            ]
          }
        ],
        "objectRequestOptions": {
          "properties": [
            "<string>"
          ]
        },
        "outputFields": [
          {
            "typeDefinition": {
              "externalOptions": true,
              "name": "<string>",
              "options": [
                {
                  "description": "<string>",
                  "displayOrder": 123,
                  "doubleData": 123,
                  "hidden": true,
                  "label": "<string>",
                  "readOnly": true,
                  "value": "<string>"
                }
              ],
              "schema": {
                "type": "INTEGER",
                "maximum": 123,
                "minimum": 123
              },
              "useChirp": true,
              "description": "<string>",
              "externalOptionsReferenceType": "<string>",
              "helpText": "<string>",
              "label": "<string>",
              "optionsUrl": "<string>"
            }
          }
        ]
      },
      "id": "<string>",
      "revisionId": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis

Identifiant unique de l'application.

definitionId
string
requis

L'identifiant unique de la définition d'action.

Paramètres de requête

after
string

Le jeton de curseur de pagination de la dernière ressource lue avec succès sera renvoyé en tant que propriété JSON « paging.next.after » d'une réponse paginée contenant plus de résultats.

limit
integer<int32>

Le nombre maximum de résultats à afficher par page.

Réponse

successful operation

results
object[]
requis
paging
object
Dernière modification le 13 avril 2026